Bug 142764 - FILESAVE ODS Save/Load new Calc setting “Same content on first page”
Summary: FILESAVE ODS Save/Load new Calc setting “Same content on first page”
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Dániel Arató (NISZ)
URL:
Whiteboard: target:7.3.0 target:7.2.0.0.beta2
Keywords:
Depends on:
Blocks: Calc-Header-Footer
  Show dependency treegraph
 
Reported: 2021-06-10 11:59 UTC by NISZ LibreOffice Team
Modified: 2021-08-09 08:28 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-06-10 11:59:48 UTC
This is related to bug #121715
To properly support interoperability, the Calc Header / Footer dialog pages need a “ Same content on first page” checkbox similar to what Writer has and the logical opposite of what Excel has (First page different).
We also need to be able to store the value of this setting to ODS format.

Steps to reproduce:
    1. Once there is an option “Same content on first page” in Calc Format – Page Styles – Header or Footer, enable it.
    2. Save the file

Actual results:
Nothing.

Expected results:
Saving and reloading of the setting works.

LibreOffice details:
Version: 7.2.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: aa9cb8e14749e7fb7a83b55a2bb095501f731a18
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win
Locale: en-US (hu_HU); UI: en-US
Calc: CL
Comment 1 Commit Notification 2021-07-07 13:29:00 UTC
Daniel Arato (NISZ) committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/52beb3907dd3c7e6ae112e263def1005272cecd8

tdf#142764 sc: import "Same content on first/left page"

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2021-07-07 19:59:53 UTC
Daniel Arato (NISZ) committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/2de1b879b70535a6c1e7207b4be9271a54e2dfc9

tdf#142764 sc: import "Same content on first/left page"

It will be available in 7.2.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 NISZ LibreOffice Team 2021-08-09 08:28:29 UTC
Verified in:
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: d1f1f546b212ecd651146addeb328806bb270d5f
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded